Bug 222000 - [exp-run] devel/cmake update to 3.9.1
Summary: [exp-run] devel/cmake update to 3.9.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on: 221918
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-02 15:33 UTC by groot
Modified: 2017-09-17 05:23 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (kde)


Attachments
patch against ports-svn (177.83 KB, patch)
2017-09-02 15:33 UTC, groot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description groot 2017-09-02 15:33:07 UTC
Created attachment 185992 [details]
patch against ports-svn

Update CMake to 3.9.1 and merge cmake-modules with cmake proper.

This is joint work with tcberner@ and has been tested in the KDE-FreeBSD ports tree on github. kde@ would like to have an exp-run for this batch.

Those ports that we have already identified as needing patches for CMake 3.9 are patched, and included in this patchset.
Comment 1 groot 2017-09-02 15:52:35 UTC
 - libosmpbf has been submitted upstream
 - sayonara is submitted upstream, expect new release shortly (will be separate PR)
 - brlcad is editorializing, about stage-qa
 - devel/kdb has been submitted upstream
 - graphics/nomacs has been updated from a release inb 2014 to the most recent release; that was easier than fixing old code with new CMake
 - multimedia/avidemux is probably a C++ issue more than CMake

Not submitted elsewhere, ports-fixes only:
 - devel/jsoncpp
 - emulators/ppsspp
 - emulators/ppsspp-qt5
 - finance/kmymoney-kde4 
 - net/remmina
 - security/greenbone-security-assistant8
 - security/openconnect-gui
 - x11/kdelibs4
Comment 2 Antoine Brodin freebsd_committer 2017-09-08 12:25:24 UTC
Note : a sphinx exp-run is ongoing so the plist will change
Comment 3 Antoine Brodin freebsd_committer 2017-09-08 12:29:45 UTC
Exp-run looks fine,  please commit asap so that the sphinx exp-run can proceed.
Comment 4 commit-hook freebsd_committer 2017-09-14 21:03:24 UTC
A commit references this bug:

Author: adridg
Date: Thu Sep 14 21:02:54 UTC 2017
New revision: 449853
URL: https://svnweb.freebsd.org/changeset/ports/449853

Log:
  Update CMake to 3.9, merge devel/cmake-modules into devel/cmake

  Thanks to antoine@ for the exp-run.

  Approved by:		rakuco (mentor)
  Reviewed by:		tcberner (mentor)
  Reviewed by:		mat
  PR:			222000 (exp-run)
  Differential Revision:	https://reviews.freebsd.org/D12299

Changes:
  head/MOVED
  head/UPDATING
  head/astro/libosmpbf/files/patch-src_CMakeLists.txt
  head/astro/libosmpbf/files/patch-tools_CMakeLists.txt
  head/audio/sayonara/files/patch-CMakeLists.txt
  head/audio/sayonara/files/patch-src_3rdParty_SomaFM_ui_GUI__SomaFM.h
  head/audio/sayonara/files/patch-src_3rdParty_Soundcloud_ui_GUI__SoundcloudArtistSearch.h
  head/audio/sayonara/files/patch-src_3rdParty_Soundcloud_ui_GUI__SoundcloudLibrary.h
  head/audio/sayonara/files/patch-uifiles.patch
  head/databases/kdb/files/
  head/databases/kdb/files/patch-src_CMakeLists.txt
  head/devel/Makefile
  head/devel/cmake/Makefile
  head/devel/cmake/distinfo
  head/devel/cmake/files/patch-CMakeLists.txt
  head/devel/cmake/files/patch-Modules_FindImageMagick.cmake
  head/devel/cmake/files/patch-Modules_FindQt4.cmake
  head/devel/cmake/files/patch-Modules_FindSDL.cmake
  head/devel/cmake/files/patch-Modules_FindwxWidgets.cmake
  head/devel/cmake/files/patch-Modules_FindwxWindows.cmake
  head/devel/cmake/files/patch-Modules_Platform_FreeBSD-CXX.cmake
  head/devel/cmake/pkg-plist
  head/devel/cmake-doc/Makefile
  head/devel/cmake-doc/pkg-plist
  head/devel/cmake-gui/Makefile
  head/devel/cmake-gui/files/
  head/devel/cmake-gui/pkg-plist
  head/devel/cmake-modules/
  head/emulators/ppsspp/files/patch-system-libpng16
  head/finance/kmymoney-kde4/files/patch-kmymoney_dialogs_settings_CMakeLists.txt
  head/graphics/nomacs/Makefile
  head/security/openconnect-gui/files/patch-CMake_Includes_git__revision__main.cmake
  head/x11/kdelibs4/files/patch-git_57eaf65
Comment 5 Adriaan de Groot freebsd_committer 2017-09-15 18:33:32 UTC
graphics/nomacs updated, so nothing is now BROKEN (afaik) due to the CMake update.
Comment 6 commit-hook freebsd_committer 2017-09-17 05:23:28 UTC
A commit references this bug:

Author: koobs
Date: Sun Sep 17 05:22:31 UTC 2017
New revision: 449985
URL: https://svnweb.freebsd.org/changeset/ports/449985

Log:
  MOVED/UPDATING: Improve cmake-modules entries

  Clarify the wording around the devel/cmake-modules deletion (merge into
  devel/cmake), and provide explicit instructions for users on how to
  proceed.

  PR:             222000

Changes:
  head/MOVED
  head/UPDATING